
--[[
Title: GUI Test
Author: Carl Reed
Date: 10/14 2013
Purpose: Test to see if we can get over 15~20 jpegs translated/scaled, decoded and displayed per second. (From a fake network source).
License: MIT-LICENSE -

Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
]]

require "scripts/aliases"
require "scripts/helpers"
local socket = require "socket"


function love.load()
	client,clientErr = socket.tcp()
	connection,connectErr = client:connect('127.2.3.4',1234)
end

function love.update(dt)
	
end

function love.draw()
	if client then lg.print('socket created',20,5) end
	if clientErr then lg.print('client error: ' .. clientErr,20,20) end
	if connectErr then lg.print('connect error: ' .. connectErr,20,40) end
	
	if connection then lg.print('connection made',20,80) end
	if message then lg.print(message,20,100) end
end

-------------------------------

function love.keypressed(k,uc)
	if k=='r' then
		message = client:receive('*a')
	end
end




